package at.ac.uibk.gitsearch.domain;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;
import at.ac.uibk.gitsearch.web.rest.TestUtil;

public class WatchListEntryTest {

    @Test
    public void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(WatchListEntry.class);
        WatchListEntry watchListEntry1 = new WatchListEntry();
        watchListEntry1.setId(1L);
        WatchListEntry watchListEntry2 = new WatchListEntry();
        watchListEntry2.setId(watchListEntry1.getId());
        assertThat(watchListEntry1).isEqualTo(watchListEntry2);
        watchListEntry2.setId(2L);
        assertThat(watchListEntry1).isNotEqualTo(watchListEntry2);
        watchListEntry1.setId(null);
        assertThat(watchListEntry1).isNotEqualTo(watchListEntry2);
    }
}
