package at.ac.uibk.gitsearch.domain;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;
import at.ac.uibk.gitsearch.web.rest.TestUtil;

public class SavedSearchesTest {

    @Test
    public void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(SavedSearches.class);
        SavedSearches savedSearches1 = new SavedSearches();
        savedSearches1.setId(1L);
        SavedSearches savedSearches2 = new SavedSearches();
        savedSearches2.setId(savedSearches1.getId());
        assertThat(savedSearches1).isEqualTo(savedSearches2);
        savedSearches2.setId(2L);
        assertThat(savedSearches1).isNotEqualTo(savedSearches2);
        savedSearches1.setId(null);
        assertThat(savedSearches1).isNotEqualTo(savedSearches2);
    }
}
